PUT {{baseURL}}/pay-api/v1/customers/{{customerId}}/payment-methods/{{paymentMethodId}}
This endpoint updates the specified customer's payment method.
Only the payment method name may be changed with this endpoint. If a different payment method type is required, a new payment method identifier must be created.
See Also:
To list a customer's payment methods, see GET /pay-api/v1/customers/{customerId}/payment-methods.
To create an ACH payment method for a customer, see POST /pay-api/v1/customers/{customerId}/payment-methods/ach.
To create a card payment method for a customer, see POST /pay-api/v1/customers/{customerId}/payment-methods/cards.
To delete a customer's payment method, see DELETE /pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}.
- Mock serverhttps://developer.flute.com/_mock/api-reference/pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}
- Sandbox environmenthttps://sandbox.api.flute.com/pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}
- Production environmenthttps://api.flute.com/pay-api/v1/customers/{customerId}/payment-methods/{paymentMethodId}
// Language is not supported.